%global enable_tests 0
%global module_name pinkie
Name:                nodejs-%{module_name}
Version:             2.0.4
Release:             1
Summary:             Itty bitty little widdle twinkie pinkie ES6 Promise implementation
License:             MIT
URL:                 https://github.com/floatdrop/pinkie
Source0:             https://github.com/floatdrop/pinkie/archive/v%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:       npm(mocha)
%endif
%description
%{summary}.

%prep
%setup -q -n %{module_name}-%{version}
rm -rf node_modules

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps
%if 0%{?enable_tests}

%check
%nodejs_symlink_deps --check
mocha
%endif

%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{module_name}

%changelog
* Thu Aug 13 2020 wangyue <wangyue92@huawei.com> - 2.0.4-1
- package init
